/*
 * Copyright (c) 2008, Noel Lemouel
 * All rights reserved.
 */

#ifndef __IRQ_H__
#define __IRQ_H__

typedef void* (irq_handler_t)(void *);

void irq_init(void);
int irq_register(int irqn, irq_handler_t *hdlr, void *arg);
void irq_entry(unsigned int irqn);
void irq_enable(void);
void irq_disable(void);
void irq_info(void);

#endif /* __TIMER_H__ */

