/*
 * Copyright (c) 2008, Noel Lemouel
 * All rights reserved. See LICENCE file for details.
 */

#include <asm/mmap.h>

	.text

	.global flush_dcache

flush_dcache:
	mov	r4, r0
	movhi 	r5, %hi(CPU_DCACHE_SIZE)
	ori 	r5, r5, %lo(CPU_DCACHE_SIZE)
dcache_flush_loop:
	flushd	0(r4)
	addi 	r4, r4, CPU_DCACHELINE_SIZE
	bltu 	r4, r5, dcache_flush_loop

	.global flush_icache

flush_icache:
	mov	r4, r0
	movhi 	r5, %hi(CPU_ICACHE_SIZE)
	ori 	r5, r5, %lo(CPU_ICACHE_SIZE)
icache_flush_loop:
	flushi	r4
	addi 	r4, r4, CPU_ICACHELINE_SIZE
	bltu 	r4, r5, icache_flush_loop
	
	.global flush_cache

flush_cache:

	/* ... */

	sync
	flushp
	ret

