/*
 * Copyright (c) 2009, Noel Lemouel
 * All rights reserved. See LICENCE file for details.
 */

#ifndef __GPIO_H__
#define __GPIO_H__

extern int gpio_init(unsigned int base);

extern int gpio_direction_input(unsigned int gpio, unsigned int base);
extern int gpio_direction_output(unsigned int gpio, unsigned int base);

extern inline int gpio_get_value(unsigned int gpio, unsigned int base);
extern inline int gpio_set_value(unsigned int gpio, int value, unsigned int base);
   
#endif /* __GPIO_H__ */

